<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>BicicletaController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pm.bibicletario.bicicleta</a> &gt; <a href="index.source.html" class="el_package">pm.api.project.bicicleta</a> &gt; <span class="el_source">BicicletaController.java</span></div><h1>BicicletaController.java</h1><pre class="source lang-java linenums">package pm.api.project.bicicleta;

import io.javalin.http.Context;
/**
 * BicicletaController
 */
<span class="nc" id="L7">public class BicicletaController {</span>

<span class="nc" id="L9">    private static Bicicletario bicicletario = new Bicicletario();</span>

    public static void raiz(Context ctx){
<span class="nc" id="L12">        ctx.status(200);		 </span>
<span class="nc" id="L13">        ctx.result(&quot;Al Mundo!&quot;);</span>
<span class="nc" id="L14">    }</span>


    public static void getBicicleta(Context ctx) {
<span class="nc" id="L18">        String id = ctx.pathParam(&quot;id&quot;);</span>
<span class="nc" id="L19">        Bicicleta bike = bicicletario.getBicicleta(id);</span>
<span class="nc bnc" id="L20" title="All 2 branches missed.">        if (bike != null) {</span>
<span class="nc" id="L21">            ctx.status(200);</span>
<span class="nc" id="L22">            ctx.result(bike.toString());</span>
        }else{
<span class="nc" id="L24">            ctx.status(400);</span>
        }
<span class="nc" id="L26">    }</span>
    public static void postBicicleta(Context ctx) {
<span class="nc" id="L28">        String id = ctx.pathParam(&quot;id&quot;);</span>
<span class="nc" id="L29">        Integer codigo = Integer.decode(ctx.pathParam(&quot;codigo&quot;));</span>
<span class="nc" id="L30">        Boolean emUso = Boolean.valueOf(ctx.pathParam(&quot;emUso&quot;));</span>
<span class="nc" id="L31">        Bicicleta bicicleta = new Bicicleta(id, codigo, emUso);</span>
<span class="nc" id="L32">        bicicletario.updateBicicleta(bicicleta);</span>
<span class="nc" id="L33">        ctx.status(200);     </span>
<span class="nc" id="L34">    }</span>
    public static void deleteBicicleta(Context ctx) {
<span class="nc" id="L36">        String id = ctx.pathParam(&quot;id&quot;);</span>
<span class="nc" id="L37">        bicicletario.removeBicicleta(id);</span>
<span class="nc" id="L38">    }</span>

    public static void getStatusBicicleta(Context ctx) {
<span class="nc" id="L41">        String id = ctx.pathParam(&quot;id&quot;);</span>
<span class="nc" id="L42">        Bicicleta bike = bicicletario.getBicicleta(id);</span>
<span class="nc bnc" id="L43" title="All 2 branches missed.">        if (bike != null) {</span>
<span class="nc" id="L44">            ctx.status(200);</span>
<span class="nc" id="L45">            ctx.result(bike.getEmUso().toString());</span>
        }else{
<span class="nc" id="L47">            ctx.status(400);</span>
        }
<span class="nc" id="L49">    }</span>
    public static void postStatusBicicleta(Context ctx) {
<span class="nc" id="L51">        String id = ctx.pathParam(&quot;id&quot;);</span>
<span class="nc" id="L52">        Integer codigo = Integer.decode(ctx.pathParam(&quot;codigo&quot;));</span>
<span class="nc" id="L53">        Boolean emUso = Boolean.valueOf(ctx.pathParam(&quot;emUso&quot;));</span>
<span class="nc" id="L54">        Bicicleta bicicleta = new Bicicleta(id, codigo, emUso);</span>
<span class="nc" id="L55">        bicicletario.updateBicicleta(bicicleta);</span>
<span class="nc" id="L56">        ctx.status(200); </span>
<span class="nc" id="L57">    }</span>


}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.4.201905082037</span></div></body></html>